Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(169)

Unified Diff: gm/tests/run.sh

Issue 13979017: GM self-tests: always run all tests (don't stop at first failure) (Closed) Base URL: http://skia.googlecode.com/svn/trunk/
Patch Set: Created 7 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « gm/tests/rebaseline.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: gm/tests/run.sh
===================================================================
--- gm/tests/run.sh (revision 8878)
+++ gm/tests/run.sh (working copy)
@@ -25,6 +25,8 @@
OUTPUT_EXPECTED_SUBDIR=output-expected
CONFIGS="--config 8888 565"
+ENCOUNTERED_ANY_ERRORS=0
+
# Compare contents of all files within directories $1 and $2,
# EXCEPT for any dotfiles.
# If there are any differences, a description is written to stdout and
@@ -38,7 +40,7 @@
diff -r --exclude=.* $1 $2
if [ $? != 0 ]; then
echo "failed in: compare_directories $1 $2"
- exit 1
+ ENCOUNTERED_ANY_ERRORS=1
borenet 2013/04/26 16:04:09 Alternatively, you could add error messages to thi
epoger 2013/04/26 16:10:55 The question is, what would I put into $ERRORS tha
borenet 2013/04/26 16:12:43 Fair enough.
fi
}
@@ -171,4 +173,9 @@
# Ignore some error types (including ExpectationsMismatch)
gm_test "--ignoreErrorTypes ExpectationsMismatch NoGpuContext --verbose --hierarchy --match selftest1 $CONFIGS -r $GM_INPUTS/json/different-pixels.json" "$GM_OUTPUTS/ignore-expectations-mismatch"
-echo "All tests passed."
+if [ $ENCOUNTERED_ANY_ERRORS == 0 ]; then
+ echo "All tests passed."
+ exit 0
+else
+ exit 1
+fi
« no previous file with comments | « gm/tests/rebaseline.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698